Content / REST API

Update content collection

Rename a collection or add/remove up to twenty saved references. Membership retries are idempotent.

PATCH /api/v1/content/collectionsDeterministic operation

Parameters

workspaceIdOptional · string
See the input schema for this field.
idRequired · string
See the input schema for this field.
nameOptional · string
See the input schema for this field.
addExampleIdsOptional · array
See the input schema for this field.
removeExampleIdsOptional · array
See the input schema for this field.
Request example
curl -X PATCH "https://app.pipeline.help/api/v1/content/collections" \
  -H "Authorization: Bearer $PIPELINE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"id":"00000000-0000-4000-8000-000000000001","name":"Question-led references"}'
Full input schema
Input schema
{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "workspaceId": {
      "type": "string",
      "format": "uuid"
    },
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "name": {
      "type": "string"
    },
    "addExampleIds": {
      "type": "array",
      "items": {
        "type": "string",
        "format": "uuid"
      },
      "maxItems": 20
    },
    "removeExampleIds": {
      "type": "array",
      "items": {
        "type": "string",
        "format": "uuid"
      },
      "maxItems": 20
    }
  },
  "required": [
    "id"
  ]
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview